GlueGen: com.jogamp.common.net.TestAssetURLConnectionRegistered Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.net.TestAssetURLConnectionRegistered Class Reference
Inheritance diagram for com.jogamp.common.net.TestAssetURLConnectionRegistered:
Collaboration diagram for com.jogamp.common.net.TestAssetURLConnectionRegistered:

## Public Member Functions

void | assetRegisteredURLConnection_RT () throws IOException
void | assetRegisteredURLConnection_Test () throws IOException
void | assetRegisteredIOUtilGetResourceRel1_RT () throws IOException, URISyntaxException
void | assetRegisteredIOUtilGetResourceRel2_RT () throws IOException, URISyntaxException
Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
final String | getTestMethodName ()
final String | getSimpleTestName (final String separator)
final String | getFullTestName (final String separator)
final void | setUpBase ()
final void | tearDownBase ()

## Static Public Member Functions

static void | assetRegistration () throws Exception
static void | main (final String args[]) throws IOException
Static Public Member Functions inherited from com.jogamp.junit.util.SingletonJunitCase
static final void | enableSingletonLock (final boolean v)
| Default is `true`. More...
static final void | oneTimeSetUpSingleton ()
static final void | oneTimeTearDownSingleton ()
Static Public Member Functions inherited from com.jogamp.junit.util.JunitTracer
static final boolean | isTestSupported ()
static final void | setTestSupported (final boolean v)
static final void | oneTimeSetUpBase ()
static final void | oneTimeTearDownBase ()
static void | waitForKey (final String preMessage)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.junit.util.JunitTracer
final TestName | _unitTestName = new TestName()
Static Public Attributes inherited from com.jogamp.junit.util.SingletonJunitCase
static final String | SINGLE_INSTANCE_LOCK_FILE = "SingletonTestCase.lock"
static final int | SINGLE_INSTANCE_LOCK_PORT = 59999
static final long | SINGLE_INSTANCE_LOCK_TO = 15*60*1000
static final long | SINGLE_INSTANCE_LOCK_POLL = 500
Static Protected Member Functions inherited from com.jogamp.common.net.AssetURLConnectionBase
static void | testAssetConnection (final URLConnection c, final String entry_name) throws IOException
Static Protected Attributes inherited from com.jogamp.common.net.AssetURLConnectionBase
static final String | test_asset_rt_url = "asset:gluegen/info.txt"
| In gluegen-rt.jar. More...
static final String | test_asset_rt_entry = "gluegen/info.txt"
static final String | test_asset_rt2_url = "asset:/gluegen/info.txt"
static final String | test_asset_test1_url = "asset:gluegen-test/info.txt"
| In gluegen.test.jar. More...
static final String | test_asset_test1_entry = "gluegen-test/info.txt"
static final Uri.Encoded | test_asset_test2_rel = Uri.Encoded.cast("data/AssetURLConnectionTest.txt")
static final String | test_asset_test2a_url = "asset:com/jogamp/common/net/data/AssetURLConnectionTest.txt"
static final String | test_asset_test2b_url = "asset:/com/jogamp/common/net/data/AssetURLConnectionTest.txt"
static final String | test_asset_test2_entry = "com/jogamp/common/net/data/AssetURLConnectionTest.txt"
static final Uri.Encoded | test_asset_test3_rel = Uri.Encoded.cast("RelativeData.txt")
static final String | test_asset_test3a_url = "asset:com/jogamp/common/net/data/RelativeData.txt"
static final String | test_asset_test3b_url = "asset:/com/jogamp/common/net/data/RelativeData.txt"
static final String | test_asset_test3_entry = "com/jogamp/common/net/data/RelativeData.txt"
static final Uri.Encoded | test_asset_test4_rel = Uri.Encoded.cast("../data2/RelativeData2.txt")
static final String | test_asset_test4a_url = "asset:com/jogamp/common/net/data2/RelativeData2.txt"
static final String | test_asset_test4b_url = "asset:/com/jogamp/common/net/data2/RelativeData2.txt"
static final String | test_asset_test4_entry = "com/jogamp/common/net/data2/RelativeData2.txt"

## Detailed Description

Definition at line 18 of file TestAssetURLConnectionRegistered.java.

## Member Function Documentation

## ◆ assetRegisteredIOUtilGetResourceRel1_RT()

void com.jogamp.common.net.TestAssetURLConnectionRegistered.assetRegisteredIOUtilGetResourceRel1_RT | ( |  | ) | throws IOException, URISyntaxException

Definition at line 44 of file TestAssetURLConnectionRegistered.java.

Here is the call graph for this function:

## ◆ assetRegisteredIOUtilGetResourceRel2_RT()

void com.jogamp.common.net.TestAssetURLConnectionRegistered.assetRegisteredIOUtilGetResourceRel2_RT | ( |  | ) | throws IOException, URISyntaxException

Definition at line 62 of file TestAssetURLConnectionRegistered.java.

Here is the call graph for this function:

## ◆ assetRegisteredURLConnection_RT()

void com.jogamp.common.net.TestAssetURLConnectionRegistered.assetRegisteredURLConnection_RT | ( |  | ) | throws IOException

Definition at line 34 of file TestAssetURLConnectionRegistered.java.

## ◆ assetRegisteredURLConnection_Test()

void com.jogamp.common.net.TestAssetURLConnectionRegistered.assetRegisteredURLConnection_Test | ( |  | ) | throws IOException

Definition at line 39 of file TestAssetURLConnectionRegistered.java.

## ◆ assetRegistration()

static void com.jogamp.common.net.TestAssetURLConnectionRegistered.assetRegistration | ( |  | ) | throws Exception

static

Definition at line 21 of file TestAssetURLConnectionRegistered.java.

Here is the call graph for this function:

## ◆ main()

static void com.jogamp.common.net.TestAssetURLConnectionRegistered.main | ( | final String | args[] | ) | throws IOException

static

Definition at line 87 of file TestAssetURLConnectionRegistered.java.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/net/TestAssetURLConnectionRegistered.java